Bug 960522 - libguestfs is not built for F20 ppc64
libguestfs is not built for F20 ppc64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
20
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 06:26 EDT by Pradipta Banerjee
Modified: 2015-11-29 04:23 EST (History)
22 users (show)

See Also:
Fixed In Version: libguestfs-1.24.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 23:59:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pradipta Banerjee 2013-05-07 06:26:59 EDT
Description of problem:

yum install openstack-nova-compute fails with the following error

Resolving Dependencies
--> Running transaction check
---> Package openstack-nova-compute.noarch 0:2012.2.3-2.fc18 will be installed
--> Processing Dependency: openstack-nova-common = 2012.2.3-2.fc18 for package: openstack-nova-compute-2012.2.3-2.fc18.noarch
--> Processing Dependency: libguestfs-mount >= 1.7.17 for package: openstack-nova-compute-2012.2.3-2.fc18.noarch
--> Processing Dependency: vconfig for package: openstack-nova-compute-2012.2.3-2.fc18.noarch
--> Running transaction check
---> Package openstack-nova-common.noarch 0:2012.2.3-2.fc18 will be installed
--> Processing Dependency: python-nova = 2012.2.3-2.fc18 for package: openstack-nova-common-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-keystone for package: openstack-nova-common-2012.2.3-2.fc18.noarch
--> Processing Dependency: openstack-utils for package: openstack-nova-common-2012.2.3-2.fc18.noarch
---> Package openstack-nova-compute.noarch 0:2012.2.3-2.fc18 will be installed
--> Processing Dependency: libguestfs-mount >= 1.7.17 for package: openstack-nova-compute-2012.2.3-2.fc18.noarch
---> Package vconfig.ppc64 0:1.9-11.fc18 will be installed
--> Running transaction check
---> Package openstack-nova-compute.noarch 0:2012.2.3-2.fc18 will be installed
--> Processing Dependency: libguestfs-mount >= 1.7.17 for package: openstack-nova-compute-2012.2.3-2.fc18.noarch
---> Package openstack-utils.noarch 0:2013.1-1.fc18 will be installed
---> Package python-keystone.noarch 0:2012.2.3-5.fc18 will be installed
--> Processing Dependency: python-webob for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-sqlalchemy for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-routes for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-paste-deploy for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-passlib for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-migrate for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-memcached for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-lxml for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-ldap for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-iso8601 for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: python-eventlet for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: PyPAM for package: python-keystone-2012.2.3-5.fc18.noarch
--> Processing Dependency: MySQL-python for package: python-keystone-2012.2.3-5.fc18.noarch
---> Package python-nova.noarch 0:2012.2.3-2.fc18 will be installed
--> Processing Dependency: python-quantumclient >= 1:2 for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-glanceclient >= 1:0 for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-qpid for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-paramiko for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-novaclient for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-netaddr for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-kombu for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-greenlet for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-cheetah for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-boto for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-anyjson for package: python-nova-2012.2.3-2.fc18.noarch
--> Processing Dependency: python-amqplib for package: python-nova-2012.2.3-2.fc18.noarch
--> Running transaction check
---> Package MySQL-python.ppc64 0:1.2.3-6.fc18 will be installed
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_16)(64bit) for package: MySQL-python-1.2.3-6.fc18.ppc64
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: MySQL-python-1.2.3-6.fc18.ppc64
---> Package PyPAM.ppc64 0:0.5.0-16.fc18 will be installed
---> Package openstack-nova-compute.noarch 0:2012.2.3-2.fc18 will be installed
--> Processing Dependency: libguestfs-mount >= 1.7.17 for package: openstack-nova-compute-2012.2.3-2.fc18.noarch
---> Package python-amqplib.noarch 0:1.0.2-6.fc18 will be installed
---> Package python-anyjson.noarch 0:0.3.3-2.fc18 will be installed
---> Package python-boto.noarch 0:2.6.0-2.fc18 will be installed
---> Package python-cheetah.ppc64 0:2.4.4-3.fc18 will be installed
--> Processing Dependency: python-pygments for package: python-cheetah-2.4.4-3.fc18.ppc64
--> Processing Dependency: python-markdown for package: python-cheetah-2.4.4-3.fc18.ppc64
---> Package python-eventlet.noarch 0:0.9.17-2.fc18 will be installed
---> Package python-glanceclient.noarch 1:0.8.0-1.fc18 will be installed
--> Processing Dependency: python-keystoneclient >= 1:0.1.2 for package: 1:python-glanceclient-0.8.0-1.fc18.noarch
--> Processing Dependency: python-warlock for package: 1:python-glanceclient-0.8.0-1.fc18.noarch
--> Processing Dependency: python-prettytable for package: 1:python-glanceclient-0.8.0-1.fc18.noarch
--> Processing Dependency: python-httplib2 for package: 1:python-glanceclient-0.8.0-1.fc18.noarch
---> Package python-greenlet.ppc64 0:0.3.1-12.fc18 will be installed
---> Package python-iso8601.noarch 0:0.1.4-5.fc18 will be installed
---> Package python-kombu.noarch 0:2.4.7-1.fc18 will be installed
---> Package python-ldap.ppc64 0:2.4.6-3.fc18 will be installed
---> Package python-lxml.ppc64 0:2.3.5-1.fc18 will be installed
---> Package python-memcached.noarch 0:1.47-4.fc18 will be installed
---> Package python-migrate.noarch 0:0.7.2-4.fc18 will be installed
--> Processing Dependency: python-tempita for package: python-migrate-0.7.2-4.fc18.noarch
---> Package python-netaddr.noarch 0:0.7.5-5.fc18 will be installed
---> Package python-novaclient.noarch 1:2.10.0-2.fc18 will be installed
--> Processing Dependency: python-simplejson for package: 1:python-novaclient-2.10.0-2.fc18.noarch
---> Package python-paramiko.noarch 0:1.7.7.1-3.fc18 will be installed
--> Processing Dependency: python-crypto >= 1.9 for package: python-paramiko-1.7.7.1-3.fc18.noarch
---> Package python-passlib.noarch 0:1.5.3-3.fc18 will be installed
---> Package python-paste-deploy.noarch 0:1.5.0-8.fc18 will be installed
--> Processing Dependency: python-paste for package: python-paste-deploy-1.5.0-8.fc18.noarch
---> Package python-qpid.noarch 0:0.20-1.fc18 will be installed
---> Package python-quantumclient.noarch 2:2.1-1.fc18 will be installed
--> Processing Dependency: pyparsing < 2.0 for package: 2:python-quantumclient-2.1-1.fc18.noarch
--> Processing Dependency: python-cliff >= 1.2.1 for package: 2:python-quantumclient-2.1-1.fc18.noarch
--> Processing Dependency: pyparsing >= 1.5.6 for package: 2:python-quantumclient-2.1-1.fc18.noarch
---> Package python-routes.noarch 0:1.12.3-4.fc18 will be installed
---> Package python-sqlalchemy.ppc64 0:0.7.9-1.fc18 will be installed
---> Package python-webob.noarch 0:1.1.1-4.fc18 will be installed
--> Running transaction check
---> Package mysql-libs.ppc64p7 0:5.5.30-1.fc18 will be installed
---> Package openstack-nova-compute.noarch 0:2012.2.3-2.fc18 will be installed
--> Processing Dependency: libguestfs-mount >= 1.7.17 for package: openstack-nova-compute-2012.2.3-2.fc18.noarch
---> Package pyparsing.noarch 0:1.5.6-4.fc18 will be installed
---> Package python-cliff.noarch 0:1.3-1.fc18 will be installed
--> Processing Dependency: python-cmd2 for package: python-cliff-1.3-1.fc18.noarch
---> Package python-crypto.ppc64 0:2.6-4.fc18 will be installed
---> Package python-httplib2.noarch 0:0.7.7-1.fc18 will be installed
---> Package python-keystoneclient.noarch 1:0.2.0-1.fc18 will be installed
---> Package python-markdown.noarch 0:2.2.1-1.fc18 will be installed
---> Package python-paste.noarch 0:1.7.5.1-7.20111221hg1498.fc18 will be installed
---> Package python-prettytable.noarch 0:0.6.1-1.fc18 will be installed
---> Package python-pygments.noarch 0:1.4-7.fc18 will be installed
---> Package python-simplejson.ppc64 0:2.6.2-1.fc18 will be installed
---> Package python-tempita.noarch 0:0.5.1-4.fc18 will be installed
---> Package python-warlock.noarch 0:0.4.0-2.fc18 will be installed
--> Processing Dependency: python-jsonschema for package: python-warlock-0.4.0-2.fc18.noarch
--> Running transaction check
---> Package openstack-nova-compute.noarch 0:2012.2.3-2.fc18 will be installed
--> Processing Dependency: libguestfs-mount >= 1.7.17 for package: openstack-nova-compute-2012.2.3-2.fc18.noarch
---> Package python-cmd2.noarch 0:0.6.4-4.fc18 will be installed
---> Package python-jsonschema.noarch 0:0.2-2.fc18 will be installed
--> Finished Dependency Resolution
Error: Package: openstack-nova-compute-2012.2.3-2.fc18.noarch (updates)
           Requires: libguestfs-mount >= 1.7.17
 You could try using --skip-broken to work around the problem


Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. yum install openstack-nova
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 IBM Bug Proxy 2013-05-07 08:02:56 EDT
Hello Redhat,
Please mirror your BZ #960522. This was to be later reported to you through our Bugzilla but the bug reporter accidentally opened the Bug in your Bugzilla.
Please do the needful.

Regards,
Onkar
Comment 2 Alan Pevec 2013-05-07 12:51:54 EDT
> Error: Package: openstack-nova-compute-2012.2.3-2.fc18.noarch (updates)
>            Requires: libguestfs-mount >= 1.7.17

libguestfs does not exist for ppc, I guess because it depends on qemu-kvm.
Moving to libguestfs.
Comment 3 Richard W.M. Jones 2013-05-07 17:31:18 EDT
If you want libguestfs for ppc/ppc64, please supply
patches to make it work upstream.
Comment 4 Richard W.M. Jones 2013-05-07 17:32:04 EDT
(That comment 3 was directed to the bug reporter by the way)
Comment 5 IBM Bug Proxy 2013-05-07 23:51:08 EDT
libguestfs ppc64 package is already available in the Fedora repo
http://mirrors.kernel.org/fedora-secondary/releases/18/Everything/ppc64/os/Packages/l/libguestfs-1.0.72-2.fc13.ppc64.rpm

I think the problem is mainly due to conflicting perl requirements..

Error: Package: virt-v2v-0.4.0-1.fc14.noarch (fedora)
Requires: perl(:MODULE_COMPAT_5.10.1)
Error: Package: 1:perl-libguestfs-1.0.72-2.fc13.ppc64 (fedora)
Requires: perl(:MODULE_COMPAT_5.10.0)

Should both virt-v2v and perl-libguestfs be recompiled for F18 ?
Comment 6 Richard W.M. Jones 2013-05-08 04:50:53 EDT
Perhaps, but libguestfs doesn't work on ppc64 because libvirt
doesn't support ppc64 transient guests, plus no one tests
this combination.  Perl dependencies are the least of your
problems.

Please engage upstream with libvirt & libguestfs (and qemu if
necessary too) so that we can get patches in to fix all of this.
Comment 7 IBM Bug Proxy 2013-12-02 10:03:03 EST
*** Bug 92989 has been marked as a duplicate of this bug. ***
Comment 8 Cole Robinson 2013-12-16 14:00:51 EST
According to this:

http://comments.gmane.org/gmane.linux.redhat.fedora.virtualization/2268

Rich added ppc64 support upstream. The fedora ppc effort doesn't seem to have tried to build the requisite version yet, but presumably when it does things should 'just work':

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1583460

Given the above, and that this bug is assigned to F18 which is end-of-life soon, I'm closing this as RAWHIDE. Please reopen if I've missed something
Comment 9 Gustavo Luiz Duarte 2013-12-16 15:04:12 EST
Well, we did try to build it on F20 (the required libguestfs didn't land on F19 yet), then we have faced a few issues:

 1. The libguestfs test suite fails due to lack of proper virtualization on the builders (bug #1036742). This was fixed on rawhide and F20.
 2. The libguestfs build requires golang, which is only available on x86 and ARM. This was fixed only on rawhide so far:
* Fri Dec 06 2013 Richard W.M. Jones <rjones@redhat.com> - 1:1.25.12-3
- Build golang package only on x86 and ARM.  The golang package in Fedora
  uses the same ExclusiveArch.  Thanks: Dan Horák.


I'd love to see libguestfs built for ppc64 on F20 and also on F19 if possible. So I'm reassigning this to F20. Hopefully, just removing the golang dependency will be enough.
Comment 10 Fedora Update System 2013-12-18 04:34:08 EST
libguestfs-1.24.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libguestfs-1.24.2-2.fc20
Comment 11 Fedora Update System 2013-12-19 20:49:14 EST
Package libguestfs-1.24.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libguestfs-1.24.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23621/libguestfs-1.24.2-2.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-12-20 14:37:39 EST
libguestfs-1.24.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libguestfs-1.24.3-1.fc20
Comment 13 Fedora Update System 2013-12-29 23:59:16 EST
libguestfs-1.24.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 IBM Bug Proxy 2015-11-29 04:23:23 EST
------- Comment From onmahaja@in.ibm.com 2013-05-07 11:59 EDT-------

------- Comment From bpradipt@in.ibm.com 2013-05-08 03:40 EDT-------

------- Comment From gusld@br.ibm.com 2013-12-02 14:51 EDT-------

Note You need to log in before you can comment on or make changes to this bug.